import request from '@/utils/request'

export function solveConfidence(data) {
  return request({
    url: request.apiModule.wb + '/reliatest/solveConfidence',
    method: 'post',
    data
  })
}

export function solveReliability(data) {
  return request({
    url: request.apiModule.wb + '/reliatest/solveReliability',
    method: 'post',
    data
  })
}

export function solveSampleSize(data) {
  return request({
    url: request.apiModule.wb + '/reliatest/solveSampleSize',
    method: 'post',
    data
  })
}

export function solveTimeChiSquareMTTF(data) {
  return request({
    url: request.apiModule.wb + '/reliatest/solveTimeChiSquareMTTF',
    method: 'post',
    data
  })
}

export function solveTimeChiSquareRel(data) {
  return request({
    url: request.apiModule.wb + '/reliatest/solveTimeChiSquareRel',
    method: 'post',
    data
  })
}

export function solveTimeMTTF(data) {
  return request({
    url: request.apiModule.wb + '/reliatest/solveTimeMTTF',
    method: 'post',
    data
  })
}

export function solveTimeRel(data) {
  return request({
    url: request.apiModule.wb + '/reliatest/solveTimeRel',
    method: 'post',
    data
  })
}
